package com.gemho.environment.model;

import cn.hutool.core.bean.BeanUtil;
import cn.hutool.core.bean.copier.CopyOptions;
import lombok.Data;
import org.hibernate.annotations.CreationTimestamp;
import org.hibernate.annotations.UpdateTimestamp;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;
import java.sql.Timestamp;

/**
* @author 靖小侠
* @date 2020-05-08
*/
@Entity
@Data
@Table(name="s_devicetype")
public class Devicetype implements Serializable {

    /** 主键 */
    @Id
    @Column(name = "id")
    private Long id;

    /** 设备类型名称 */
    @Column(name = "typename")
    private String typename;

    /** 检测项代码 */
    @Column(name = "code")
    private String code;

    /** 检测项名称 */
    @Column(name = "subject")
    private String subject;

    /** 检测项计算公式 */
    @Column(name = "gs")
    private String gs;

    /** 创建时间 */
    @Column(name = "create_time")
    @CreationTimestamp
    private Timestamp createTime;

    /** 更新时间 */
    @Column(name = "update_time")
    @UpdateTimestamp
    private Timestamp updateTime;

    public void copy(Devicetype source){
        BeanUtil.copyProperties(source,this, CopyOptions.create().setIgnoreNullValue(true));
    }
}
