package com.gemho.environment.model;

import lombok.Data;

import java.io.Serializable;
import java.sql.Timestamp;

/**
* @author 靖小侠
* @date 2020-05-07
*/
@Data
public class RelayDto implements Serializable {

    /** 主键 */
    private Long id;

    /** 所属公司 */
    private String company;

    /** IMEI码 */
    private String imei;

    /** 电信编码 */
    private String telecomcode;

    /** 设备id */
    private String deviceid;

    /** 监测设备类型 */
    private String devicetype;

    /** 设备名称 */
    private String name;

    /** 描述 */
    private String nt;

    /** 设备类型 0:nb 1:4g */
    private String type;

    /** 安装位置 */
    private String address;

    /** 经度 */
    private Double jd;

    /** 纬度 */
    private Double wd;

    /** 采集频率 */
    private Integer timetrack;

    /** 上传频率 */
    private Integer timetrack2;

    /** 信号强度 */
    private String rssi;

    /** 电池电量 */
    private String battery;

    /** 是否有效 */
    private String valid;

    /** ICCID或卡号 */
    private String phonecode;

    /** ip */
    private String ip;

    /** 端口 */
    private String port;

    /** 二维码 */
    private String qrcode;

    /** 创建时间 */
    private Timestamp createTime;

    /** 更新时间 */
    private Timestamp updateTime;

    /** 工作模式 0手动1自动 */
    private String workmode;

    /** 在线时间 */
    private Timestamp onlinetime;

    /** 在线 */
    private String online;

    /** 0: 普通设备 1:控制器 2:无线LED屏幕 */
    private String relay;

    /** 到期时间 */
    private Timestamp expire;

    /** 监测项目 */
    private String subject;

    /** 监测项目代码 */
    private String code;

    /** 计算公式 */
    private String gs;

    /** 运营商 */
    private String isp;
}